# Make a template the default of its kind (isDefault false clears it)

`POST /org/{orgId}/templates/{id}/default` · Rivier · workspace

Make a template the default of its kind (isDefault false clears it). Needs an admin.

- Scope: workspace:write
- Sdk: workspace.orgTemplate.default
- Cli: templates default

## Parameters

- `orgId` (path, required), string
- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "isDefault": {
      "type": "boolean",
      "default": true
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/org/{orgId}/templates/{id}/default' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "isDefault": true
}'
```
